%bcond_with bootstrap
%global guice_version 7.0.0

Summary:        Modello Data Model toolkit
Name:           modello
Version:        2.1.1
Release:        2%{?dist}
License:        MIT and ASL 2.0 and BSD
URL:            https://codehaus-plexus.github.io/modello
Source0:        https://repo1.maven.org/maven2/org/codehaus/%{name}/%{name}/%{version}/%{name}-%{version}-source-release.zip
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        https://repo1.maven.org/maven2/com/google/inject/guice/%{guice_version}/guice-%{guice_version}.jar
Source3:        https://repo1.maven.org/maven2/com/google/inject/guice/%{guice_version}/guice-%{guice_version}.pom

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-compiler-javac)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.jsoup:jsoup)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
%endif

BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Requires:         javapackages-tools jsoup

%description
Modello is a Data Model toolkit in use by the Apache Maven Project.

Modello is a framework for code generation from a simple model.
Modello generates code from a simple model format based on a plugin
architecture, various types of code and descriptors can be generated
from the single model, including Java POJOs, XML
marshallers/unmarshallers, XSD and documentation.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%autosetup -p1
cp -p %{SOURCE1} LICENSE
rm -rf ${HOME}/.m2
mkdir -p ${HOME}/.m2/repository/com/google/inject/guice/%{guice_version}
cp %{SOURCE2} %{SOURCE3} ${HOME}/.m2/repository/com/google/inject/guice/%{guice_version}

%pom_remove_plugin :maven-site-plugin

%pom_remove_dep :jackson-bom
%pom_disable_module modello-plugin-jackson modello-plugins
%pom_disable_module modello-plugin-jsonschema modello-plugins
%pom_remove_dep :modello-plugin-jackson modello-maven-plugin
%pom_remove_dep :modello-plugin-jsonschema modello-maven-plugin

%pom_disable_module modello-plugin-snakeyaml modello-plugins
%pom_remove_dep :modello-plugin-snakeyaml modello-maven-plugin

%pom_disable_module modello-plugin-velocity modello-plugins
%pom_remove_dep :modello-plugin-velocity modello-maven-plugin
rm modello-maven-plugin/src/main/java/org/codehaus/modello/maven/ModelloVelocityMojo.java

%build
%mvn_build -f

%install
%mvn_install

%jpackage_script org.codehaus.modello.ModelloCli "" "" modello:org.eclipse.sisu.plexus:org.eclipse.sisu.inject:google-guice-no_aop:atinject:plexus-containers/plexus-component-annotations:plexus/classworlds:plexus/utils:plexus/plexus-build-api:guava:plexus-compiler/plexus-compiler-api:plexus-compiler/plexus-compiler-javac %{name} true

%files -f .mfiles
%license LICENSE
%{_bindir}/modello

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 jackeyji <jackeyji@tencent.com> - 2.1.1-1
- upgrade to 2.1.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.0-3
- switched to non-bootstrap building

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.0-2
- rebuilding

* Wed Apr 12 2023 Zhao Zhen <jeremiazhao@tencent.com> - 2.0.0-1
- initial
